Create account contact
curl --request POST \
--url https://app.forecastable.com/api/v1/accounts/{accountId}/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fullName": "<string>",
"email": "jsmith@example.com",
"crmId": "<string>",
"crmAccountId": "<string>",
"buyingGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phoneNumber": "<string>",
"currentTitle": "<string>",
"linkedinUrl": "<string>",
"functionalRole": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://app.forecastable.com/api/v1/accounts/{accountId}/contacts"
payload = {
"fullName": "<string>",
"email": "jsmith@example.com",
"crmId": "<string>",
"crmAccountId": "<string>",
"buyingGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phoneNumber": "<string>",
"currentTitle": "<string>",
"linkedinUrl": "<string>",
"functionalRole": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fullName: '<string>',
email: 'jsmith@example.com',
crmId: '<string>',
crmAccountId: '<string>',
buyingGroupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
phoneNumber: '<string>',
currentTitle: '<string>',
linkedinUrl: '<string>',
functionalRole: '<string>',
tags: ['<string>']
})
};
fetch('https://app.forecastable.com/api/v1/accounts/{accountId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fullName": "<string>",
"email": "jsmith@example.com",
"tags": [
"<string>"
],
"isDeleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"phoneNumber": "<string>",
"currentTitle": "<string>",
"department": "<string>",
"linkedinUrl": "<string>",
"location": "<string>",
"photoUrl": "<string>",
"functionalRole": "<string>",
"supportStatus": "<string>",
"decisionStatus": "<string>",
"contactStatus": "<string>",
"sfdcContactId": "<string>",
"isEnriched": true,
"excludeCampaigns": true,
"emailUnsubscribed": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Contacts
Create account contact
POST
/
accounts
/
{accountId}
/
contacts
Create account contact
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Body
application/json
Required string length:
1 - 255Pattern:
\b[0-9A-Za-z]{15,18}\bPattern:
\b[0-9A-Za-z]{15,18}\bPattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Response
Created contact.
Show child attributes
Show child attributes
Was this page helpful?
⌘I